package com.eitc.common.utils;

import java.io.BufferedReader;
import java.io.File;
import java.io.InputStreamReader;










public class ShellUtils {

    /**
     * 监控是否有文件夹来判断是不是要升级
     */
    public static Integer identifyTheUpgrade() {
        // 执行任务逻辑
        String path = "/home/uppackage"; // 文件的URL地址
        File directory = new File(path);

        // 获取文件夹下所有文件和文件夹
        File[] files = directory.listFiles();
        Integer count = 0;
        // 检查文件数组是否为空以及是否存在文件
        if (files != null && files.length > 0) {
            // 遍历文件数组
            for (File file : files) {
                // 输出文件名
                System.out.println(file.getName());
                if (file.getName().contains("server")){
                    count=1;
                    break;
                }
            }
        }
        return count;
    }
}
